#include "jx_uart_send.h"

// UART1_RX串口通信消息头
const unsigned char g_uart_send_head_UART1_RX[] = {
  0xaa, 0x55
};

// UART1_RX串口通信消息尾
const unsigned char g_uart_send_foot_UART1_RX[] = {
  0x55, 0xaa
};

// UART0_RX串口通信消息头
const unsigned char g_uart_send_head_UART0_RX[] = {
  0xaa, 0x55
};

// UART0_RX串口通信消息尾
const unsigned char g_uart_send_foot_UART0_RX[] = {
  0x55, 0xaa
};

// 串口发送函数实现
void _uart_send_impl(int port, unsigned char* buff, int len) {
  // TODO: 调用项目实际的串口发送函数
  /*
  int i = 0;
  unsigned char c;
  for (i = 0; i < len; i++) {
    c = buff[i];
    printf("%02X ", c);
  }
  printf("\n");
  */
}

// action: A8
void _uart_A8() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART1_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART1_RX[i];
  }
  buff[2] = U_MSG_A8;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART1_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART1_RX[i];
  }
  _uart_send_impl(1, buff, 5);
}

// action: A9
void _uart_A9() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART1_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART1_RX[i];
  }
  buff[2] = U_MSG_A9;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART1_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART1_RX[i];
  }
  _uart_send_impl(1, buff, 5);
}

// action: A10
void _uart_A10() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART0_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART0_RX[i];
  }
  buff[2] = U_MSG_A10;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART0_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART0_RX[i];
  }
  _uart_send_impl(0, buff, 5);
}

// action: A11
void _uart_A11() {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART0_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART0_RX[i];
  }
  buff[2] = U_MSG_A11;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART0_RX; i++) {
      buff[i + 3] = g_uart_send_foot_UART0_RX[i];
  }
  _uart_send_impl(0, buff, 5);
}

// action: A12
void _uart_A12(unsigned char U1_Hum) {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART1_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART1_RX[i];
  }
  buff[2] = U_MSG_A12;
  param.d_uchar = U1_Hum;
  buff[3] = param.d_uchar;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART1_RX; i++) {
      buff[i + 4] = g_uart_send_foot_UART1_RX[i];
  }
  _uart_send_impl(1, buff, 6);
}

// action: A13
void _uart_A13(unsigned char U0_Hum) {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART0_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART0_RX[i];
  }
  buff[2] = U_MSG_A13;
  param.d_uchar = U0_Hum;
  buff[3] = param.d_uchar;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART0_RX; i++) {
      buff[i + 4] = g_uart_send_foot_UART0_RX[i];
  }
  _uart_send_impl(0, buff, 6);
}

// action: A14
void _uart_A14(unsigned char U1_ZHENG, unsigned char U1_XIAO) {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART1_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART1_RX[i];
  }
  buff[2] = U_MSG_A14;
  param.d_uchar = U1_ZHENG;
  buff[3] = param.d_uchar;
  param.d_uchar = U1_XIAO;
  buff[4] = param.d_uchar;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART1_RX; i++) {
      buff[i + 5] = g_uart_send_foot_UART1_RX[i];
  }
  _uart_send_impl(1, buff, 7);
}

// action: A15
void _uart_A15(unsigned char U0_ZHENG, unsigned char U0_XIAO) {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART0_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART0_RX[i];
  }
  buff[2] = U_MSG_A15;
  param.d_uchar = U0_ZHENG;
  buff[3] = param.d_uchar;
  param.d_uchar = U0_XIAO;
  buff[4] = param.d_uchar;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART0_RX; i++) {
      buff[i + 5] = g_uart_send_foot_UART0_RX[i];
  }
  _uart_send_impl(0, buff, 7);
}

